Page MenuHomePhabricator

Community bonding evaluation for extension to identify and delete spam pages
Closed, ResolvedPublic

Description

  • Detailed plan agreed with mentors: T90238
  • Phabricator project created: MediaWiki-extensions-SmiteSpam
  • Meetings with mentors started: Generally communicate over email. For quick queries and progress checks, Google Hangouts will be used.
  • Bonding period report published (see below)

Bonding Period Report

  • Changes from original plan
    • Spam pages are a much bigger problem than spammy edits. Therefore, the extension will only focus on identifying spam pages. Identifying spam edits may be added in if time permits.
  • Communication plan
    • Quick queries and progress checks will happen on Google Hangouts. Questions with larger scope will be asked by email.
  • Issues identified/lessons learnt
    • The number of pages that need to be processed could be very large. This means that while the current plan is to just load them all in PHP memory and process them one by one, a more efficient procedure in terms of memory (less efficient in terms of speed) will probably need to be implemented instead. This will be done a little after the MVP.

Event Timeline

polybuildr assigned this task to Yaron_Koren.
polybuildr raised the priority of this task from to Normal.
polybuildr updated the task description. (Show Details)
polybuildr added subscribers: happy5214, Phoenix303, Sumit and 8 others.
polybuildr updated the task description. (Show Details)May 23 2015, 9:04 AM
polybuildr set Security to None.
polybuildr updated the task description. (Show Details)May 24 2015, 6:44 PM

Looks good! @Yaron_Koren, evaluate and close as appropriate.

polybuildr added a subscriber: jan.May 24 2015, 6:56 PM
VcamX removed a subscriber: VcamX.May 25 2015, 2:20 AM
Yaron_Koren closed this task as Resolved.May 25 2015, 8:25 AM

Bonding successful.